Subject: bug#15221: reiterating the request

From: Mark H Weaver <[email-masked]>
Date: Fri, 07 Sep 2018 16:32:40 -0400

Hi Tom,

Tom Tromey <[email-masked]> writes:
> Hi.  I tried guile today and was surprised to find that it doesn't use
> readline by default.  I think this would be a big improvement to the
> REPL.
>
> Second best would be a command line option, or editing some config file.

You can enable it by adding the following two lines to your ~/.guile:

  (use-modules (ice-9 readline))
  (activate-readline)

See <https://www.gnu.org/software/guile/manual/html_node/Readline.html>.

I'm sympathetic to the desire to enable it by default, but I'm not sure
how to navigate the license issue, namely that GNU Readline is
GPL-licensed, whereas Guile is LGPL-licensed.

     Regards,
       Mark